Subject: bug#74702: closed (Re: [bug#74702] [PATCH 4/4] gnu: Add komikku-servers.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Jan 2025 21:47:02 +0000

Your bug report

#74702: [PATCH 0/4] Update komikku to 1.57.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74702: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74702
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#74702] [PATCH 4/4] gnu: Add komikku-servers.
From: Liliana Marie Prikler <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked], Vivien Kraus <[email-masked]>
Date: Wed, 22 Jan 2025 22:46:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 11.12.2024 um 11:40 +0900 schrieb Maxim Cournoyer:
> > 
> > I read this 'can' as optional and very much prefer my space :)
> 
> It's indeed a 'can', but I value consistency enough that this errs on
> the side of 'should' in my mind ;-).
> > > 
And I prefer consistency between comments, which is why I'm always
adding the extra space :)

> > > 
> > I can't use it verbatim, since the install directory is different¹,
> > but I can copy it's logic, sure.  Will do so for v2.
> 
> OK.  If it's too much boilerplate to copy-paste, feel free to ignore
> it.  It's probably not world-changing anyway.
Now that python-team is merged, I pushed it with the change.

Cheers

Subject: [PATCH 0/4] Update komikku to 1.57.0
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Thu, 5 Dec 2024 17:50:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

this series updates komikku to 1.57.0 and adds a new package called
komikku-servers, which builds the newer 1.59.0 servers (upstream
currently has a version of 1.64.0, but >= 1.60.0 won't build with our
Python).  I'm involving both Python and GNOME teams on the individual
packages, as updating pillow rebuilds some 1000 packages, which is
quite many.

Cheers

Liliana Marie Prikler (4):
  gnu: python-pillow: Update to 11.0.0.
  gnu: Add python-pillow-heif.
  gnu: komikku: Update to 1.57.0.
  gnu: Add komikku-servers.

 gnu/packages/gnome.scm      | 44 ++++++++++++++++++++++--
 gnu/packages/python-xyz.scm | 67 +++++++++++++++++++++++++++++++------
 2 files changed, 99 insertions(+), 12 deletions(-)

base-commit: 006679d1e6ca7acea0629b4f019c8cf89cde08be
-- 
2.46.0